<CsoundSynthesizer>
<CsOptions>
-odac
</CsOptions>
<CsInstruments>

;================================================================;
;                                                                ;
;               "The Impossible Planet" (orchestra)              ;
;                                                                ;
;                       Luca Pavan - 1997                        ;
;                                                                ;
;================================================================;
;Total duration: 7'57"
;Hard Disk requirements : 85 Mb 
;Compilation time: 6 hours and 5 minutes on a Pentium 120 Mhz

sr = 44100
ksmps  = 1024
nchnls = 2

garvbsig1 init 0
garvbsig2 init 0

instr 1
   
   idur      = p3
   iamp      = p4
   iskiptime = p5
   iattack   = p6
   irelease  = p7
   ifcmin    = p8     
   ifcmax    = p9
   kband     = p10
   kpan1     = p11
   kpan2     = p12
   icircles  = p13
   itime     = p14
   ipitch    = p15
   ifunc     = p17
                                      
   kamp		linen  iamp, iattack, idur, irelease
   kpan1        oscili kpan1, (1/p3) * icircles, 6
   kpan2        oscili kpan2, (1/p3) * icircles, 5
   ktime        oscili itime, 1/p3, ifunc
   kpitch       oscili ipitch, 1/p3, ifunc
   
   asig         sndwarp 1, ktime, kpitch, 1, 0, 800, 400, 1, 9, 0
   arampsig1 =  kamp * asig
   
   if p18 = 0 goto nofilt
   asig         reson arampsig1, 1214.4, 20
   asig2        reson arampsig1, 1760, 20
   asig3        reson arampsig1, 2376, 20
   asig4        reson arampsig1, 3929.2, 20
   asig5        reson arampsig1, 5869.6, 20
   asig6        reson arampsig1, 8201.6, 20
   asig7        reson arampsig1, 14022.8, 20
   if p18 = 1 goto cont1
   nofilt: arampsig = arampsig1
   goto cont
   cont1: arampsig2 =  asig + asig2 + asig3 + asig4 + asig5 + asig6 + asig7
          arampsig     balance arampsig2, arampsig1
   cont: kcentro oscili   ifcmax, (1/p3) * icircles, 7
   autfilt1      butterbp arampsig * kpan1,ifcmin + kcentro, kband
   autfilt2      butterbp arampsig * kpan2,ifcmin + kcentro, kband
   krevhdif1     oscili  .5, (1/p3) * icircles, 8
   krevhdif2     oscili  .5, (1/p3) * icircles, 8
   arev1         reverb2  autfilt1, 3, .5+ krevhdif1
   arev2         reverb2  autfilt2, 3, .5+ krevhdif2
   aout1    =    autfilt1 + arev1 * .2
   aout2    =    autfilt2 + arev2 * .3

      outs aout1, aout2

   garvbsig1 =  garvbsig1 + aout1 * .2
   garvbsig2 =  garvbsig2 + aout2 * .3
        endin

   instr 99
   asig1a       reverb   garvbsig1, 3
   asig2a       reverb   garvbsig2, 2.5
   asig1        butterhp asig1a, 65
   asig2        butterhp asig2a, 65

if p16=1 goto endtwo  
         outs asig1, asig2
         goto end

endtwo: outs asig2, asig1
 
end:  garvbsig1 = 0
      garvbsig2 = 0
        endin


</CsInstruments>

<CsScore>

;=============================================================;
;                                                             ;
;             "The Impossible Planet" (score)                 ;
;                                                             ;
;                 Luca Pavan - 1997                           ;
;                                                             ;
;=============================================================;
;Total duration: 7'57"
;Hard Disk requirements: 85 Mb
;Compilation time: 6 hours and 5 minutes on a Pentium 120 Mhz

f1 0  262144 -1 "voice.wav" 0 0 0
f5 0 512 7 1 256 0 256 1
f6 0 512 7 0 256 1 256 0
f7 0 1024 7 0 256 1 256 0 512 0
f8 0 1024 7 1 256 0 256 1 512 1
f9 0 16384 9 .5 1 0
f10 0 512 21 9 1 1 2
f11 0 256 21 9 1 1 2
f12 0 128 21 9 1 1 2
f13 0 64 21 9 1 1 2
f14 0 32 21 9 1 1 2

;p5  = skiptime
;p6  = attack
;p7  = release
;p8  = minimal central frequency
;p9  = maximal central frequency
;p10 = bandwidth
;p11 = pan left channel
;p12 = pan right channel
;p13 = number of sound rotations
;p14 = number of sound stretching times
;p15 = initial pitch
;p16 = direction of rotation (0=left-right, 1=right-left)
;p17 = random functions for soundwarp
;p18 = switch for the bank of filters (0=no filtering)


;ins strt dur  amp skip atk rel freqcmin freqcmax bandw pan1 pan2 rot itim ipit dir ran filt

;part one
i1   0    16   .75  0     2  2   200      5000     5000  1    1    4   150 .1    0  10 0
i1  .03   16   .75  0     2  2   200      5000     5000  1    1    4   150 .1    0  10 0
i1   5    16   .75  0    .1  3   200      5000     5000  .65  .35  4   100 .2    0  10 0
i1 5.03   16   .75  0    .1  3   200      5000     5000  .65  .35  4   100 .2    0  10 0
i1   9    16   .75  0    .1  3   200      5000     5000  .35  .65  4   50  .4    0  10 0
i1 9.03   16   .75  0    .1  3   200      5000     5000  .35  .65  4   50  .4    0  10 0
i1 20     16   .25  0    .1  3   200      5000     5000  1    1    4   50  .32   0  10 0
i1 20.03  16   .25  0    .1  3   200      5000     5000  1    1    4   52  .34   0  10 0
i1 20.06  16   .25  0    .1  3   200      5000     5000  1    1    4   103 .36   0  10 0
i1 20.08  16   .25  0    .1  3   200      5000     5000  .65  .35  4   104 .38   0  10 0
i1 20.1   16   .25  0    .1  3   200      5000     5000  .35  .65  4   51  .4    0  10 0
i1 25     16   .25  0    .1  3   200      5000     5000  .7   .3   4   137 .25   1  10 0
i1 25.02  16   .25  0    .1  3   200      5000     5000  .3   .7   4   138 .26   1  10 0
i1 25.04  16   .25  0    .1  3   200      5000     5000  .2   .8   4   139 .27   1  10 0
i1 29.02  16   .25  0    .1  3   200      5000     5000  .8   .2   4   64 .45    0  10 0
i1 29.04  16   .25  0    .1  3   200      5000     5000  .4   .6   4   65 .451   0  10 0
i1 29.06  16   .25  0    .1  3   200      5000     5000  .6   .4   4   66 .452   0  10 0
i1 35     16   .25  0    .1  3   200      5000     5000  1    1    4   150 .12   1  10 0
i1 35.03  16   .25  0    .1  3   200      5000     5000  1    1    4   151 .14   1  10 0
i1 40     16   .25  0    .1  3   200      5000     5000  1    1    4   60  .3   0  10 0
i1 40.03  16   .25  0    .1  3   200      5000     5000  1    1    4   60  .3    0  10 0
i1 50     16   .25  0    .1  3   200      5000     5000  1    1    3   150 .3    0  10 0
i1 50.02  16   .25  0    .1  3   200      5000     5000  1    1    3   150 .3    0  10 0
i1 50.04  16   .25  0    .1  3   200      5000     5000  1    1    3   150 .2    0  10 0
i1 54     16   .25  0    .1  3   200      5000     5000  1    1    8   80  .31   1  10 0
i1 54.02  16   .25  0    .1  3   200      5000     5000  1    1    8   81  .32   1  10 0
i1 54.04  16   .25  0    .1  3   200      5000     5000  1    1    8   82  .33   1  10 0
i1 60.02  16   .25  0    .1  3   200      5000     5000  1    1    8   180 .23   0  10 0
i1 60.06  16   .25  0    .1  3   200      5000     5000  1    1    8   181 .241  0  10 0
i1 60.1   16   .25  0    .1  3   200      5000     5000  1    1    8   182 .252  0  10 0
i1 60.16  16   .25  0    .1  3   200      5000     5000  1    1    8   183 .263  0  10 0
i1 70.16  16   .25  0    .1 10   200      5000     5000  1    1    8   183 .413  1  10 0
i1 70.16  16   .25  0    .1 10   200      5000     5000  1    1    8   183 .414  1  10 0
i1 70.16  16   .25  0    .1 10   200      5000     5000  1    1    8   183 .415  1  10 0
i1 74.1   12.9 .25  0    .1 10   200      5000     5000  1    1    8   213 .313  1  10 0
i1 74.2   12.8 .25  0    .1 10   200      5000     5000  1    1    8   214 .324  1  10 0
i1 74.3   12.7 .25  0    .1 10   200      5000     5000  1    1    8   215 .335  1  10 0
i1   0    16  .75   0     2  2   200      5000     5000  1    1    4   150 .1    1  10 0
i1  .03   16  .75   0     2  2   200      5000     5000  1    1    4   150 .1    1  10 0
i1   5    16  .75   0    .1  3   200      5000     5000  .65  .35  4   100 .2    1  10 0
i1 5.03   16  .75   0    .1  3   200      5000     5000  .65  .35  4   100 .2    1  10 0
i1   9    16  .75   0    .1  3   200      5000     5000  .35  .65  4   50  .4    1  10 0
i1 9.03   16  .75   0    .1  3   200      5000     5000  .35  .65  4   50  .4    1  10 0
i1 20     16  .25   0    .1  3   200      5000     5000  1    1    4   50  .32   1  10 0
i1 20.03  16  .25   0    .1  3   200      5000     5000  1    1    4   52  .34   1  10 0
i1 20.06  16  .25   0    .1  3   200      5000     5000  1    1    4   103 .36   1  10 0
i1 20.08  16  .25   0    .1  3   200      5000     5000  .65  .35  4   104 .38   1  10 0
i1 20.1   16  .25   0    .1  3   200      5000     5000  .35  .65  4   51  .4    1  10 0
i1 25     16   .25  0    .1  3   200      5000     5000  .7   .3   4   137 .25   0  10 0
i1 25.02  16   .25  0    .1  3   200      5000     5000  .3   .7   4   138 .26   0  10 0
i1 25.04  16   .25  0    .1  3   200      5000     5000  .2   .8   4   139 .27   0  10 0
i1 29.02  16   .25  0    .1  3   200      5000     5000  .8   .2   4   64 .45    1  10 0
i1 29.04  16   .25  0    .1  3   200      5000     5000  .4   .6   4   65 .451   1  10 0
i1 29.06  16   .25  0    .1  3   200      5000     5000  .6   .4   4   66 .452   1  10 0
i1 35     16   .25  0    .1  3   200      5000     5000  1    1    4   150 .12   0  10 0
i1 35.03  16   .25  0    .1  3   200      5000     5000  1    1    4   151 .14   0  10 0
i1 40     16   .25  0    .1  3   200      5000     5000  1    1    4   60  .3   1  10 0
i1 40.03  16   .25  0    .1  3   200      5000     5000  1    1    4   60  .3    1  10 0
i1 50     16   .25  0    .1  3   200      5000     5000  1    1    3   150 .3    1  10 0
i1 50.02  16   .25  0    .1  3   200      5000     5000  1    1    3   150 .3    1  10 0
i1 50.04  16   .25  0    .1  3   200      5000     5000  1    1    3   150 .2    1  10 0
i1 54     16   .25  0    .1  3   200      5000     5000  1    1    8   80  .31   0  10 0
i1 54.02  16   .25  0    .1  3   200      5000     5000  1    1    8   81  .32   0  10 0
i1 54.04  16   .25  0    .1  3   200      5000     5000  1    1    8   82  .33   0  10 0
i1 60.02  16   .25  0    .1  3   200      5000     5000  1    1    8   180 .23   1  10 0
i1 60.06  16   .25  0    .1  3   200      5000     5000  1    1    8   181 .241  1  10 0
i1 60.1   16   .25  0    .1  3   200      5000     5000  1    1    8   182 .252  1  10 0
i1 60.16  16   .25  0    .1  3   200      5000     5000  1    1    8   183 .263  1  10 0
i1 70.16  16   .25  0    .1 10   200      5000     5000  1    1    8   183 .413  0  10 0
i1 70.16  16   .25  0    .1 10   200      5000     5000  1    1    8   183 .414  0  10 0
i1 70.16  16   .25  0    .1 10   200      5000     5000  1    1    8   183 .415  0  10 0
i1 74.1   12.9 .25  0    .1 10   200      5000     5000  1    1    8   213 .313  0  10 0
i1 74.2   12.8 .25  0    .1 10   200      5000     5000  1    1    8   214 .324  0  10 0
i1 74.3   12.7 .25  0    .1 10   200      5000     5000  1    1    8   215 .335  0  10 0


;part two

i1   60   180 3   0     4  3   200        5000     5000  1    1    2    250 .1   0  10 1
i1   60   180 2   0     4  3   200        5000     5000  1    1    20   250 .1   0  10 1
i1  60.03 180 2   0     4  3   200        5000     5000  1    1    20   250 .1   1  10 1
i1   75   180 2   0    .1  3   200        5000     5000  .65  .35  20   200 .2   0  11 1
i1 75.03  180 2   0    .1  3   200        5000     5000  .65  .35  20   200 .2   1  11 1
i1   79   180 2   0    .1  3   200        5000     5000  .35  .65  30   150 .3   0  12 1
i1 79.03  180 2   0    .1  3   200        5000     5000  .35  .65  30   150 .3   1  12 1
i1   83   180 2   0    .1  3   200        5000     5000  1    1    30   100 .4   0  13 1
i1   87   180 2   0    .1  3   200        5000     5000  1    1    30    50 .5   1  14 1
i1   180  180 2   0    .1  3   200        5000     5000  1    1    30    50 .5   0  10 1
i1 180.02  90 2   0    .1  3   200        5000     5000  .65  .35  30   235 .25  1  10 1
i1 180.04  90 2   0    .1  3   200        5000     5000  .35  .65  30   236 .3   0  10 1
i1 181     90 2   0    .1  3   200        5000     5000  .7   .3   30   237 .35  1  11 1
i1 181.02  90 2   0    .1  3   200        5000     5000  .3   .7   30   238 .4   0  11 1
i1 182     90 1.7 0    .1  3   200        5000     5000  .2   .8   30   239 .45  1  12 1
i1 182.02  90 1.7 0    .1  3   200        5000     5000  .8   .2   30   240 .5   0  12 1
i1 182.04  90 1.7 0    .1  3   200        5000     5000  .4   .6   30   241 .5   1  12 1
i1 182.06  90 1.7 0    .1  3   200        5000     5000  .6   .4   30   242 .5   0  12 1
i1 185     90 1.4 0    .1  3   200        5000     5000  .65  .35  30   243 .2   1  13 1
i1 185.02  90 1.4 0    .1  3   200        5000     5000  .35  .65  30   244 .25  0  13 1
i1 200     16 .6  0     2  3   200        5000     5000  1    1    6    150 .1   0  10 0
i1 200.03  16 .6  0     2  3   200        5000     5000  1    1    6    150 .1   0  10 0
i1 205     16 .6  0    .1  4   200        5000     5000  .35  .65  6    100 .2   0  10 0
i1 205.03  16 .6  0    .1  4   200        5000     5000  .35  .65  6    100 .2   0  10 0
i1 209     16 .6  0    .1  4   200        5000     5000  .65  .35  6     50 .4   0  10 0
i1 209.03  16 .6  0    .1  4   200        5000     5000  .65  .35  6     50 .4   0  10 0
i1 260    180 2   0    .1 10   200        5000     5000  1    1    30   150 .3   1  14 1
i1 260.02 180 2   0    .1 10   200        5000     5000  1    1    30   150 .3   0  14 1
i1 270    180 2   0    .1 10   200        5000     5000  1    1    30   250 .3   1  10 1
i1 270.02 180 2   0    .1 10   200        5000     5000  1    1    30   250 .3   0  10 1
i1 276    196 2   0    .1 10   200        5000     5000  1    1    30   250 .2   1  11 1
i1 277    197 2   0    .1 10   200        5000     5000  1    1    30   250 .2   0  12 1
 
;ins strt dur
i99  0    477
e


</CsScore>
</CsoundSynthesizer>

